//==========================================
// Primary fire button for 75mm by XenoAisam
//==========================================

class ShermanShellFire extends ProjectileFire;

#exec AUDIO IMPORT FILE=C:\Voice\Bestcannon.wav NAME=Shermantankfire

function InitEffects()
{
    Super.InitEffects();
    if ( FlashEmitter != None )
		Weapon.AttachToBone(FlashEmitter, 'tip');
}

function FlashMuzzleFlash()
{
    local rotator r;
    r.Roll = Rand(65536);
    Weapon.SetBoneRotation('Bone_Flash', r, 0, 1.f);
    Super.FlashMuzzleFlash();
}

function Projectile SpawnProjectile(vector Start, rotator Dir)
{
	local Projectile P;

	P = Super.SpawnProjectile(Start, Dir);
	if (P != None)
		P.SetOwner(Weapon);

	return P;
}

function float MaxRange()
{
	return 15000;
}

defaultproperties
{
	FlashEmitterClass=class'mmcannon.ShermanMuzFlash1st'
    ProjSpawnOffset=(X=25.00,Y=6.00,Z=-6.00),
    bSplashDamage=True
    bModeExclusive=False

    FireAnimRate=1
    ReloadAnimRate=1
    TweenTime=0.00

    FireSound=Sound'Shermantankfire'
    FireForce="75mmfire"
    FireRate=2.0

    AmmoClass=Class'XWeapons.RocketAmmo'
    AmmoPerFire=1

    ShakeRotTime=2.00
    ShakeOffsetMag=(X=-20.00,Y=0.00,Z=0.00),
    ShakeOffsetRate=(X=-1000.00,Y=0.00,Z=0.00),
    ShakeOffsetTime=2.00
    ProjectileClass=Class'mmcannon.mmProjectile'
    BotRefireRate=0.50
    WarnTargetPct=1.00

    FireAnim=Fire
	FireEndAnim=None
	FireLoopAnim=None
}
